Foxit PDF RDK

Public Member Functions | List of all members
Metadata Class Reference
Inheritance diagram for Metadata:

## Public Member Functions
| constructor (document)
| Constructor, from a PDF document object. More...
| GetCreationDateTime ()
| Get creation date time. More...
| GetCustomerKeys ()
| Get customer keys from metadata. More...
| GetModifiedDateTime ()
| Get modified date time. More...
| GetValues (key)
| Get metadata value(s). More...
| HasKey (key)
| Check whether the related PDF document has a specified metadata key or not. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveCustomerKey (key)
| Remove a specified customer key (along with related value). More...
| SetCreationDateTime (date_time)
| Set creation date time. More...
| SetModifiedDateTime (date_time)
| Set modified date time. More...
| SetValues (key, value_array)
| Set metadata value(s). More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

In PDF document, metadata information is stored in document's Info dictionary or in metadata stream (represented in Extensible Markup Language, known as XML). When a key exists in both Info dictionary and metadata stream, the latest modified one will be used.
This class is constructed from PDF document object and is used to get or set metadata information from both document's Info dictionary and metadata stream.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

Metadata.constructor | ( | document |  | ) |

Constructor, from a PDF document object.

If there exists metadata information in the specified PDF document, this function is just to construct a metadata object to be associated with these information. If there is no such information in the specified PDF document, the constructed metadata object can be used to set metadata information to PDF document.

Parameters

  [in] | document | A valid PDF document object.

## ◆ GetCreationDateTime()

Metadata.GetCreationDateTime | ( |  | ) |

Get creation date time.

Returns
  Creation date time. If no creation date time can be found, a date and time object with all values 0 will be returned.

## ◆ GetCustomerKeys()

Metadata.GetCustomerKeys | ( |  | ) |

Get customer keys from metadata.

In Info dictionary and metadata stream, they have some standard keys which have same feature but different name. For this case, Foxit PDF SDK will use the standard key names in Info dictionary. Besides these standard keys, other keys will be treated as customer keys.

Returns
  An string array of customer keys.

## ◆ GetModifiedDateTime()

Metadata.GetModifiedDateTime | ( |  | ) |

Get modified date time.

Returns
  Modified date time. If no modified date time can be found, a date and time object with all values 0 will be returned.

## ◆ GetValues()

Metadata.GetValues | ( | key |  | ) |

Get metadata value(s).

For a metadata key, it may contain single or multiple values.

Parameters

  [in] | key | Metadata key string. It should not be an empty string. Currently it can be one of the following keys: "Title", "Author", "Subject", "Keywords", "Creator", "Producer", "Trapped", "CreationDate", "ModDate", "pdfaid", "InstanceID", "DocumentID". It can also be some other custom information keys if they're supported by the PDF file. For "CreationDate" and "ModDate", user is recommended to use functions Metadata.GetCreationDateTime and Metadata.GetModifiedDateTime to get the date information.

Returns
  An string array of metadata value(s).

## ◆ HasKey()

Metadata.HasKey | ( | key |  | ) |

Check whether the related PDF document has a specified metadata key or not.

Parameters

  [in] | key | The metadata key to be checked.

Returns
  true means the related PDF document has the specified metadata key, while false means the related PDF document does not have the specified metadata key.

## ◆ IsEmpty()

Metadata.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveCustomerKey()

Metadata.RemoveCustomerKey | ( | key |  | ) |

Remove a specified customer key (along with related value).

Parameters

  [in] | key | A customer key string. It should not be an empty string. This should be one of the keys retrieved from function Metadata.GetCustomerKeys .

Returns
  None.

## ◆ SetCreationDateTime()

Metadata.SetCreationDateTime | ( | date_time |  | ) |

Set creation date time.

Parameters

  [in] | date_time | New creation date time. Please refer to comment of class DateTime to check the valid range for each member.

Returns
  None.

## ◆ SetModifiedDateTime()

Metadata.SetModifiedDateTime | ( | date_time |  | ) |

Set modified date time.

Parameters

  [in] | date_time | New modified date time. Please refer to comment of class DateTime to check the valid range for each member.

Returns
  None.

## ◆ SetValues()

Metadata.SetValues | ( | key | ,
|  | value_array |
| ) |  |

Set metadata value(s).

This function is used to set single or multiple values to a specified metadata key:

- For metadata keys "Author" and "Keywords", they can contain single or multiple values.
- For metadata key "pdfaid" which means the PDFA file version, the length of its value string is always 2, such as "2a", "1a", etc. So, only the first two characters of the first element in parameter valueArray will be used.
- For rest pre-defined keys, they do not support multiple values. So all the elements in parameter value_array will be put into one string and connected by ";". Then this string will be treated as a single value.

Parameters

  [in] | key | Metadata key string. It should not be an empty string. Currently it can be one of the following keys: "Title", "Author", "Subject", "Keywords", "Creator", "Producer", "Trapped", "CreationDate", "ModDate", "pdfaid", "InstanceID", "DocumentID". It can also be some other custom information keys if they're supported by the PDF file. For "CreationDate" and "ModDate", user is recommended to use Metadata.SetCreationDateTime and Metadata.SetModifiedDateTime to set the date information.
  [in] | value_array | An string array of metadata value(s).

Returns
  None.